Update a shopping session item
Replaces one item of the session, identified by `itemId`, and recalculates its totals. Returns the whole updated session. Requires `Permissions.PosShoppingSession.Update`.
PUT
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
sessionId*integerFormat
int64itemId*integerFormat
int32application/json- body
id?|Format
int32internalNumber?|Format
int32productId?integerFormat
int32barcode?|Length
length <= 50branchId?|Format
int32brokerId?|Format
int32cancellationOriginalItemGuid?|Format
guidcolor?|Length
length <= 50colorId?|Format
int32commissionAmount?|Format
decimalcommissionVatRateId?|Format
int32createdAt?|Format
date-timecustomerCardId?|Format
int32customerCardId1?|Format
int32customerId?|Format
int32dateOfCreation?|Format
date-timedeliveryAddressId?|Format
int32dimension?|Length
length <= 50dimensionId?|Format
int32discount?|Format
decimaldiscountReasonId?|Format
int32electronicSecurity?boolean|nullfixedPromotion?boolean|nullforeignCurrencyExchangeRate?|Format
decimalforeignCurrencyId?|Format
int32foreignPrice?|Format
decimalhasPriceFromBarcode?boolean|nullhasPriceFromPackage?boolean|nullheaderInternalId?|Format
int64insuranceId?|Format
int32insurancePrice?|Format
decimalisBazaar?boolean|nullisCancellation?boolean|nullisDownPayment?boolean|nullisEuRetail?boolean|nullisReturnablePackaging?boolean|nullisTakeAway?boolean|nullisVoucher?boolean|nullitem?|Format
int32length?|Length
length <= 50lengthId?|Format
int32manualDiscount?|Format
decimalmanualDiscountPercentage?|Format
decimalmanualDiscountReasonId?|Format
int32manuallyEnteredPrice?boolean|nullminimalAge?|Format
int32minimalAgeType?string|nullnote1?string|nullnote2?string|nullnote3?string|nullnote4?string|nullorderCustomerItemId?|Format
int32orderCustomerItemVariantId?|Format
int32orderInternetItemId?|Format
int32orderInternetItemVariantId?|Format
int32packagePrice?|Format
decimalpoints?|Format
int32posId?|Format
int32price?|Format
decimalpriceId?|Format
int32priceWoVat?|Format
decimalproductCode?|Length
length <= 50productName?|Length
length <= 180promotionBarcode?|Length
length <= 50promotionId?|Format
int32quantity?|Format
decimalrecyclingFee?|Format
decimalrecyclingFeeId?|Format
int32reservationItemId?|Format
int32reservationItemVariantId?|Format
int32royalty?|Format
decimalroyaltyId?|Format
int32setPrice?|Format
decimalsize?|Length
length <= 50sizeId?|Format
int32skDocumentId?|Length
length <= 50stockPrice?|Format
decimaltotalPrice?|Format
decimaltotalPriceWoVat?|Format
decimalunit?|Length
length <= 50unitId?|Format
int32userId?|Format
int32variant?|Length
length <= 50variantId?|Format
int32vatRate?|Format
decimalwarehouseId?|Format
int32warehouseSellingPrice?|Format
decimalweight?|Format
decimaldependentProducts?array<>|nullapplication/json- response
id?|Format
int32internalNumber?|Format
int32items?array<>|nulla4Print?boolean|nullapprovalOfLimitIncreaseUserId?|Format
int32branchId?|Format
int32brokerId?|Format
int32cancellationReasonId?|Format
int32cardType?|Format
int32cashOnDeliveryInternalNumber?|Format
int32cashRoundingAmount?|Format
decimalcnbForeignExchangeRate?|Format
decimalcreatedAt?|Format
date-timecreditCardWithdrawalAmount?|Format
decimalcustomerCardId?|Format
int32customerEmail?|Length
length <= 80customerId?|Format
int32dateOfCreation?|Format
date-timedateOfTaxableEvent?|Format
date-timedeliveryAddressId?|Format
int32depositAmount?|Format
decimaldepositReasonId?|Format
int32discountPrice?|Format
decimaldiscountReasonId?|Format
int32documentType?|Format
int32doubleSale?boolean|nulldueDate?|Format
date-timefinancialPromotionBarcode?|Length
length <= 50financialPromotionId?|Format
int32flightNumber?string|nullfoodStampsWithdrawalAmount?|Format
decimalforeignCreditCardWithdrawalAmount?|Format
decimalforeignCurrencyChange?|Format
decimalforeignCurrencyCode?|Length
length <= 3foreignCurrencyExchangeRate?|Format
decimalforeignCurrencyTotalPrice?|Format
decimalforeignCurrencyWithdrawalAmount?|Format
decimalforeignUnit?|Format
decimalheaderInternalId?|Format
int64invoiceNumber?|Format
int32isCancellation?boolean|nullisEuRetail?boolean|nullisExported?boolean|nullisTakeAway?boolean|nulllastModify?|Format
date-timenote?string|nullpaidAsDownPayment?|Format
decimalpaidCashOnDelivery?|Format
decimalpaidInAdvance?|Format
decimalpaidInCash?|Format
decimalpaidOnEshop?|Format
decimalpaidWithAnonCredit?|Format
decimalpaidWithConsumerCredit?|Format
decimalpaidWithCredit?|Format
decimalpaidWithCreditCard?|Format
decimalpaidWithFoodStamps?|Format
decimalpaidWithForeignCreditCard?|Format
decimalpaidWithForeignCurrency?|Format
decimalpaidWithVouchers?|Format
decimalpayments?posId?integerFormat
int32specialFinancialPromotionBarcode?|Length
length <= 50specialFinancialPromotionId?|Format
int32toReturn?|Format
decimaltotalNumberOfItems?|Format
int32totalPrice?|Format
decimaltotalStockPriceWoVat?|Format
decimaluserId?|Format
int32vatAmountBasicRate?|Format
decimalvatAmountReducedRate?|Format
decimalvatAmountSuperReducedRate?|Format
decimalvatBasisBasicRate?|Format
decimalvatBasisBazaar?|Format
decimalvatBasisExempt?|Format
decimalvatBasisReducedRate?|Format
decimalvatBasisSuperReducedRate?|Format
decimalvouchersWithdrawalAmount?|Format
decimalwithdrawalAmount?|Format
decimalwithdrawalAmountDifference?|Format
decimalwithdrawalReasonId?|Format
int32curl -X PUT 'https://<your-instance>/api/documents/pos/shopping-session/0/items/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": 0, "internalNumber": 0, "items": [ { "id": 0, "internalNumber": 0, "productId": 0, "barcode": "string", "branchId": 0, "brokerId": 0, "cancellationOriginalItemGuid": "string", "color": "string", "colorId": 0, "commissionAmount": 0, "commissionVatRateId": 0, "createdAt": "2019-08-24T14:15:22Z", "customerCardId": 0, "customerCardId1": 0, "customerId": 0, "dateOfCreation": "2019-08-24T14:15:22Z", "deliveryAddressId": 0, "dimension": "string", "dimensionId": 0, "discount": 0, "discountReasonId": 0, "electronicSecurity": true, "fixedPromotion": true, "foreignCurrencyExchangeRate": 0, "foreignCurrencyId": 0, "foreignPrice": 0, "hasPriceFromBarcode": true, "hasPriceFromPackage": true, "headerInternalId": 0, "insuranceId": 0, "insurancePrice": 0, "isBazaar": true, "isCancellation": true, "isDownPayment": true, "isEuRetail": true, "isReturnablePackaging": true, "isTakeAway": true, "isVoucher": true, "item": 0, "length": "string", "lengthId": 0, "manualDiscount": 0, "manualDiscountPercentage": 0, "manualDiscountReasonId": 0, "manuallyEnteredPrice": true, "minimalAge": 0, "minimalAgeType": "string", "note1": "string", "note2": "string", "note3": "string", "note4": "string", "orderCustomerItemId": 0, "orderCustomerItemVariantId": 0, "orderInternetItemId": 0, "orderInternetItemVariantId": 0, "packagePrice": 0, "points": 0, "posId": 0, "price": 0, "priceId": 0, "priceWoVat": 0, "productCode": "string", "productName": "string", "promotionBarcode": "string", "promotionId": 0, "quantity": 0, "recyclingFee": 0, "recyclingFeeId": 0, "reservationItemId": 0, "reservationItemVariantId": 0, "royalty": 0, "royaltyId": 0, "setPrice": 0, "size": "string", "sizeId": 0, "skDocumentId": "string", "stockPrice": 0, "totalPrice": 0, "totalPriceWoVat": 0, "unit": "string", "unitId": 0, "userId": 0, "variant": "string", "variantId": 0, "vatRate": 0, "warehouseId": 0, "warehouseSellingPrice": 0, "weight": 0, "dependentProducts": [ { "id": 0, "internalNumber": 0, "productId": 0, "barcode": "string", "branchId": 0, "brokerId": 0, "cancellationOriginalItemGuid": "string", "color": "string", "colorId": 0, "commissionAmount": 0, "commissionVatRateId": 0, "createdAt": "2019-08-24T14:15:22Z", "customerCardId": 0, "customerCardId1": 0, "customerId": 0, "dateOfCreation": "2019-08-24T14:15:22Z", "deliveryAddressId": 0, "dimension": "string", "dimensionId": 0, "discount": 0, "discountReasonId": 0, "electronicSecurity": true, "fixedPromotion": true, "foreignCurrencyExchangeRate": 0, "foreignCurrencyId": 0, "foreignPrice": 0, "hasPriceFromBarcode": true, "hasPriceFromPackage": true, "headerInternalId": 0, "insuranceId": 0, "insurancePrice": 0, "isBazaar": true, "isCancellation": true, "isDownPayment": true, "isEuRetail": true, "isReturnablePackaging": true, "isTakeAway": true, "isVoucher": true, "item": 0, "length": "string", "lengthId": 0, "manualDiscount": 0, "manualDiscountPercentage": 0, "manualDiscountReasonId": 0, "manuallyEnteredPrice": true, "minimalAge": 0, "minimalAgeType": "string", "note1": "string", "note2": "string", "note3": "string", "note4": "string", "orderCustomerItemId": 0, "orderCustomerItemVariantId": 0, "orderInternetItemId": 0, "orderInternetItemVariantId": 0, "packagePrice": 0, "points": 0, "posId": 0, "price": 0, "priceId": 0, "priceWoVat": 0, "productCode": "string", "productName": "string", "promotionBarcode": "string", "promotionId": 0, "quantity": 0, "recyclingFee": 0, "recyclingFeeId": 0, "reservationItemId": 0, "reservationItemVariantId": 0, "royalty": 0, "royaltyId": 0, "setPrice": 0, "size": "string", "sizeId": 0, "skDocumentId": "string", "stockPrice": 0, "totalPrice": 0, "totalPriceWoVat": 0, "unit": "string", "unitId": 0, "userId": 0, "variant": "string", "variantId": 0, "vatRate": 0, "warehouseId": 0, "warehouseSellingPrice": 0, "weight": 0, "dependentOnItemId": 0, "type": "ReturnablePackaging" } ] } ], "a4Print": true, "approvalOfLimitIncreaseUserId": 0, "branchId": 0, "brokerId": 0, "cancellationReasonId": 0, "cardType": 0, "cashOnDeliveryInternalNumber": 0, "cashRoundingAmount": 0, "cnbForeignExchangeRate": 0, "createdAt": "2019-08-24T14:15:22Z", "creditCardWithdrawalAmount": 0, "customerCardId": 0, "customerEmail": "string", "customerId": 0, "dateOfCreation": "2019-08-24T14:15:22Z", "dateOfTaxableEvent": "2019-08-24T14:15:22Z", "deliveryAddressId": 0, "depositAmount": 0, "depositReasonId": 0, "discountPrice": 0, "discountReasonId": 0, "documentType": 0, "doubleSale": true, "dueDate": "2019-08-24T14:15:22Z", "financialPromotionBarcode": "string", "financialPromotionId": 0, "flightNumber": "string", "foodStampsWithdrawalAmount": 0, "foreignCreditCardWithdrawalAmount": 0, "foreignCurrencyChange": 0, "foreignCurrencyCode": "str", "foreignCurrencyExchangeRate": 0, "foreignCurrencyTotalPrice": 0, "foreignCurrencyWithdrawalAmount": 0, "foreignUnit": 0, "headerInternalId": 0, "invoiceNumber": 0, "isCancellation": true, "isEuRetail": true, "isExported": true, "isTakeAway": true, "lastModify": "2019-08-24T14:15:22Z", "note": "string", "paidAsDownPayment": 0, "paidCashOnDelivery": 0, "paidInAdvance": 0, "paidInCash": 0, "paidOnEshop": 0, "paidWithAnonCredit": 0, "paidWithConsumerCredit": 0, "paidWithCredit": 0, "paidWithCreditCard": 0, "paidWithFoodStamps": 0, "paidWithForeignCreditCard": 0, "paidWithForeignCurrency": 0, "paidWithVouchers": 0, "payments": { "creditCardPayments": [ { "amount": 0, "cardNumber": "string", "cardType": 0, "cnbForeignExchangeRate": 0, "currency": "string", "currencyId": 0, "foreignExchangeRate": 0, "guid": "string", "headerInternalId": 0, "posId": 0, "transactionId": "string" } ], "creditPayments": [ { "amount": 0, "barcode": "string", "dateOfPayment": "2019-08-24T14:15:22Z", "guid": "string", "headerInternalId": 0, "posId": 0, "userId": 0 } ], "foreignCurrencyPayments": [ { "amount": 0, "cnbForeignExchangeRate": 0, "currency": "string", "currencyId": 0, "foreignExchangeRate": 0, "guid": "string", "headerInternalId": 0, "posId": 0 } ] }, "posId": 0, "specialFinancialPromotionBarcode": "string", "specialFinancialPromotionId": 0, "toReturn": 0, "totalNumberOfItems": 0, "totalPrice": 0, "totalStockPriceWoVat": 0, "userId": 0, "vatAmountBasicRate": 0, "vatAmountReducedRate": 0, "vatAmountSuperReducedRate": 0, "vatBasisBasicRate": 0, "vatBasisBazaar": 0, "vatBasisExempt": 0, "vatBasisReducedRate": 0, "vatBasisSuperReducedRate": 0, "vouchersWithdrawalAmount": 0, "withdrawalAmount": 0, "withdrawalAmountDifference": 0, "withdrawalReasonId": 0}Delete a shopping session item DELETE
Removes one item from the session and recalculates its totals. Returns the whole updated session. Requires `Permissions.PosShoppingSession.Delete`.
Add a card payment POST
Records a card payment on the session, including the terminal's authorisation details. Returns the whole updated session. Reverse it with `DELETE {sessionId}/payments/credit-cards/{paymentGuid}`. Requires `Permissions.PosShoppingSession.Create`.